%define upstream_name    HTTP-Server-Simple-Mason
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Module for an abstract baseclass for a standalone mason server
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-HTML-Mason 
BuildRequires:  perl-libwww-perl 
BuildRequires:  perl-HTTP-Server-Simple
BuildRequires:  perl-Hook-LexWrap
BuildArch:      noarch


%description
Perl module that contains a abstract baseclass for a standalone mason server.
This is based on HTTP::Server::Simple.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes  META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 512154
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 368333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 41947
- mageia rebuild
- imported package perl-HTTP-Server-Simple-Mason


* Fri Nov 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 596557
- update to new version 0.14

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 461290
- update to 0.13

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 406065
- rebuild using %%perl_convert_version

* Wed Jul 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2010.0
+ Revision: 393524
- update to new version 0.12

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.1
+ Revision: 309308
- update to new version 0.11

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.09-8mdv2009.0
+ Revision: 257255
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.09-6mdv2008.1
+ Revision: 135847
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Michael Scherer <misc@mandriva.org> 0.09-6mdv2008.0
+ Revision: 81721
- rebuild for 2008


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.09-5mdk
- Do not ship empty dir

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.09-4mdk
- Fix BuildRequires

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.09-3mdk
- Fix BuildRequires

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 0.09-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.09-1mdk
- First mandriva package

